Show / Hide Table of Contents

# Class OpenIddictEntityFrameworkAuthorization<TKey, TApplication, TToken>

Represents an OpenIddict authorization.

##### Inheritance

System.Object
OpenIddictEntityFrameworkAuthorization<TKey, TApplication, TToken>
OpenIddictEntityFrameworkAuthorization

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ToString()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: OpenIddict.EntityFramework.Models

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class OpenIddictEntityFrameworkAuthorization<TKey, TApplication, TToken>
        where TKey : IEquatable<TKey> where TApplication : class where TToken : class

##### Type Parameters

Name | Description
--- | ---
TKey |
TApplication |
TToken |

### Properties

#### Application

Gets or sets the application associated with the current authorization.

##### Declaration

    public virtual TApplication Application { get; set; }

##### Property Value

Type | Description
--- | ---
TApplication |

#### ConcurrencyToken

Gets or sets the concurrency token.

##### Declaration

    public virtual string ConcurrencyToken { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### CreationDate

Gets or sets the UTC creation date of the current authorization.

##### Declaration

    public virtual DateTime? CreationDate { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.DateTime> |

#### Id

Gets or sets the unique identifier associated with the current authorization.

##### Declaration

    public virtual TKey Id { get; set; }

##### Property Value

Type | Description
--- | ---
TKey |

#### Properties

Gets or sets the additional properties serialized as a JSON object, or `null` if no bag was associated with the current authorization.

##### Declaration

    public virtual string Properties { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### Scopes

Gets or sets the scopes associated with the current authorization, serialized as a JSON array.

##### Declaration

    public virtual string Scopes { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### Status

Gets or sets the status of the current authorization.

##### Declaration

    public virtual string Status { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### Subject

Gets or sets the subject associated with the current authorization.

##### Declaration

    public virtual string Subject { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### Tokens

Gets the list of tokens associated with the current authorization.

##### Declaration

    public virtual ICollection<TToken> Tokens { get; }

##### Property Value

Type | Description
--- | ---
ICollection<TToken> |

#### Type

Gets or sets the type of the current authorization.

##### Declaration

    public virtual string Type { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |